Bug 485640 - Imbedded hot links in Evolution 2.24.3 emails do not work
Imbedded hot links in Evolution 2.24.3 emails do not work
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: GConf (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 14:37 EST by Wayne Channell
Modified: 2009-02-19 21:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 21:54:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Channell 2009-02-15 14:37:07 EST
Description of problem:
Hot links that are imbedded within text in Evolution 2.24.3 emails are not acted upon.  Clicking the blue underlined link within a text email does not execute a Mozilla Firefox 3.0.6 web page session.

Version-Release number of selected component (if applicable):
Evolution 2.24.3

How reproducible:
All incoming emails with imbedded hot links are inactive.  A single click or double click results in no "http:www.***" startup.

Steps to Reproduce:
1.  Receive email with Evolution 2.24.3
2.  Open email and double click on blue underlined hot links to open up a linked web site reference.
3.  No action occurs.
  
Actual results:
No action occurs. The information line at the bottom of the screen displays the target website from the hot link, however clicking or double clicking on the hot link produces no activity.

Expected results:
Clicking upon a hot link within an Evolution email should start up Mozilla Firefox and initiate a web browser session with the target hot link "http:www...etc" address.

Additional info:
Hot links in Evolution used to work properly under Fedora 10 a short time ago.  I periodically execute the "yum update" command, and now the hot links do not work in Evolution.  I don't know exactly when the hot links stopped working.

Note:  Hot links in Mozilla Firefox web pages work properly when clicked upon.
Comment 1 Matthew Barnes 2009-02-15 18:01:45 EST
Please check the following:

  - Package gvfs is installed and the gvfsd process is running.

  - Your preferred web browser is set correctly under
    System -> Preferences -> Personal -> Preferred Applications.

  - Run Evolution from a terminal and look for any warning messages
    printed when you click on a link.
Comment 2 Wayne Channell 2009-02-16 12:39:31 EST
Thanks!

CHECK #1

[channmw@hp1 ~]$ rpm -q gvfs

gvfs-1.0.3-4.fc10.i386


[channmw@hp1 ~]$ ps -ef|grep gvfsd

channmw   2479     1  0 09:24 ?        00:00:00 /usr/libexec/gvfsd

channmw   2728     1  0 09:24 ?        00:00:00 /usr/libexec/gvfsd-trash --spawner :1.4 /org/gtk/gvfs/exec_spaw/0

channmw   2744     1  0 09:24 ?        00:00:00 /usr/libexec/gvfsd-burn --spawner :1.4 /org/gtk/gvfs/exec_spaw/1

channmw   3241     1  0 10:28 ?        00:00:00 /usr/libexec/gvfsd-http --spawner :1.4 /org/gtk/gvfs/exec_spaw/2

channmw   4358  4283  0 11:38 pts/0    00:00:00 grep gvfsd



CHECK #2

The following menu items were selected.
System -> Preferences -> Personal -> Preferred Applications
As soon as the Preferred Applications button is selected an execution problem occurs and a Bug Buddy reporting window opens.  The following Crash Details are given.

Distribution: Fedora release 10 (Cambridge)

Gnome Release: 2.24.3 2009-01-16 (Red Hat, Inc)

BugBuddy Version: 2.24.2



System: Linux 2.6.27.12-170.2.5.fc10.i686 #1 SMP Wed Jan 21 02:09:37 EST 2009 i686

X Vendor: The X.Org Foundation

X Vendor Release: 10503000

Selinux: Enforcing

Accessibility: Disabled

GTK+ Theme: Nodoka

Icon Theme: Fedora



Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0

CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0







----------- .xsession-errors (80 sec old) ---------------------

(evolution:3320): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(evolution:3320): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(evolution:3320): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(evolution:3320): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(evolution:3320): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(evolution:3320): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(evolution:3320): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

(evolution:3320): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

--------------------------------------------------


CHECK #3

A terminal window was opened and evolution was executed.  Within the bugzilla email the following hot link was clicked three times on the first attempt, and once on the second attempt.

https://bugzilla.redhat.com/show_bug.cgi?id=485640

The following information was given in the terminal window.

[channmw@hp1 ~]$ evolution

** (evolution:24472): DEBUG: mailto URL command: evolution --component=mail %s

** (evolution:24472): DEBUG: mailto URL program: evolution



(evolution:24472): evolution-mail-WARNING **: gnome_url_show: There was an error launching the default action command associated with this location.



(evolution:24472): evolution-mail-WARNING **: gnome_url_show: There was an error launching the default action command associated with this location.



(evolution:24472): evolution-mail-WARNING **: gnome_url_show: There was an error launching the default action command associated with this location.

^C

[channmw@hp1 ~]$ evolution

** (evolution:23505): DEBUG: mailto URL command: evolution --component=mail %s

** (evolution:23505): DEBUG: mailto URL program: evolution



(evolution:23505): evolution-mail-WARNING **: gnome_url_show: There was an error launching the default action command associated with this location.



(evolution:23505): gtkhtml-WARNING **: oo

^C
Comment 3 Matthew Barnes 2009-02-16 13:10:05 EST
(In reply to comment #2)
> (evolution:24472): evolution-mail-WARNING **: gnome_url_show: There was an
> error launching the default action command associated with this location.

Okay, so the command to launch the browser is failing.  That crash you're seeing when opening Preferred Applications is likely related.

Can you run the following command from a terminal window and post the output?  This checks what command to issue when handling "http" links.  This is what Preferred Applications would have set:

   gconftool-2 --get /desktop/gnome/url-handlers/http/command

It should say "firefox %s".
Comment 4 Wayne Channell 2009-02-16 14:21:02 EST
Thanks.

[root@hp1 channmw]# gconftool-2 --get /desktop/gnome/url-handlers/http/command

Failed to get value for `/desktop/gnome/url-handlers/http/command': Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details -  1: Failed to get connection to session: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.)


I don't know if this is related, but this system always starts firefox and evolution in the offline mode.  I always have to unclick the Work Offline checkbox.
Comment 5 Matthew Barnes 2009-02-16 14:40:43 EST
Hmm, clearly something is borked on your system.

Reassigning this to GConf (or I guess it could be ORBit).  I don't think this is necessarily a bug in GConf or ORBit, but Ray may be able to help you diagnose this faster than I can.

I notice you issued the gconftool-2 command as root.  Are you logged in as root, as if so does running the command under a normal user account work any better?
Comment 6 Wayne Channell 2009-02-16 15:53:47 EST
Yes, I did execute the command above as root.  Sorry about that.  Here is the result when logged in as a normal user.

[channmw@hp1 ~]$ gconftool-2 --get /desktop/gnome/url-handlers/http/command
/usr/lib/firefox-3.0.5/firefox "%s"

Thanks.
Comment 7 Matthew Barnes 2009-02-16 17:10:54 EST
And does "/usr/lib/firefox-3.0.5/firefox" exist on your system?
Comment 8 Wayne Channell 2009-02-16 20:55:19 EST
[channmw@hp1 ~]$ ll -d /usr/lib/firefox*
drwxr-xr-x 9 root root 4096 2009-02-09 19:30 /usr/lib/firefox-3.0.6

Looks like there is a revision level disconnect.  I usually run "yum update" once a month or so to keep the system up to date.
Comment 9 Matthew Barnes 2009-02-16 22:58:13 EST
Try resetting the GConf key to "firefox %s" and it should start working again.  Use Configuration Editor (package name: gconf-editor) to change it.

If you can confirm that we'll close this as NOTABUG.
Comment 10 Wayne Channell 2009-02-17 22:51:32 EST
I loaded gconf-editor by initiating yum install gconf-editor.  Then I used the Applications -> System Tools -> Configuration Editor command.  Within Configuration Editor I used the Edit -> Find command to search for the GConf key, but could not find it.  Can you provide a little more detail about how I have to change this GConf key value with the Configuration Editor?  Many thanks.
Comment 11 Matthew Barnes 2009-02-17 23:17:28 EST
Just navigate to /desktop/gnome/url-handlers/http and look for "command" in the right panel.  Then double click it to change the value.
Comment 12 Wayne Channell 2009-02-19 21:28:41 EST
Problem solved.  Nice piece of work.

I used Configuration Editor to change the specified value above as follows.

From:  
command    /usr/lib/firefox-3.0.5/firefox "%s"
To:
command    /usr/lib/firefox-3.0.6/firefox "%s"

Thanks for solving this problem!  Hot links in evolution work great now.
Comment 13 Matthew Barnes 2009-02-19 21:54:52 EST
"firefox %s" alone might be better, because you'll unfortunately have to repeat this procedure every time you upgrade Firefox.

Anyway, glad it's working again.  I'll close this as NOTABUG.

And sorry about the bug spam, Ray.

Note You need to log in before you can comment on or make changes to this bug.